libetonyek::IWORKOutputManager Class Reference documentation

Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKOutputManager Class Reference

A manager for output elements. More...

`#include <IWORKOutputManager.h>`

## Public Member Functions
| IWORKOutputManager ()
| ~IWORKOutputManager ()
void | push ()
| Push a new output element onto the stack.
void | pop ()
| Pop a output element from the stack.
IWORKOutputID_t | save ()
| Save the current output element.
IWORKOutputElements & | get (IWORKOutputID_t id)
| Get output element with ID `id`.
const IWORKOutputElements & | get (IWORKOutputID_t id) const
| Get output element with ID `id`.
IWORKOutputElements & | getCurrent ()
| Get the current output element.
const IWORKOutputElements & | getCurrent () const
| Get the current output element.

## Private Types
typedef std::deque< IWORKOutputElements > | OutputList_t
typedef std::stack< IWORKOutputElements > | OutputStack_t

## Private Member Functions
| IWORKOutputManager (const IWORKOutputManager &)
IWORKOutputManager & | operator= (const IWORKOutputManager &)

## Private Attributes
OutputStack_t | m_active
OutputList_t | m_saved

## Detailed Description

A manager for output elements.

It keeps a stack of currently opened output elements and a list of saved output elements.

There is always at least one output element on the stack.

## Member Typedef Documentation

## ◆ OutputList_t

typedef std::deque<IWORKOutputElements> libetonyek::IWORKOutputManager::OutputList_t
| private

## ◆ OutputStack_t

typedef std::stack<IWORKOutputElements> libetonyek::IWORKOutputManager::OutputStack_t
| private

## Constructor & Destructor Documentation

## ◆ IWORKOutputManager() [1/2]

libetonyek::IWORKOutputManager::IWORKOutputManager | ( | const IWORKOutputManager & |  | ) |
| private

## ◆ IWORKOutputManager() [2/2]

libetonyek::IWORKOutputManager::IWORKOutputManager | ( |  | ) |

## ◆ ~IWORKOutputManager()

libetonyek::IWORKOutputManager::~IWORKOutputManager | ( |  | ) |

## Member Function Documentation

## ◆ get() [1/2]

IWORKOutputElements & libetonyek::IWORKOutputManager::get | ( | IWORKOutputID_t | id | ) |

Get output element with ID `id`.

- [in] id ID of the output element to get.

Referenced by get(), and libetonyek::PAGCollector::writePageGroupsObjects().

## ◆ get() [2/2]

const IWORKOutputElements & libetonyek::IWORKOutputManager::get | ( | IWORKOutputID_t | id | ) | const

Get output element with ID `id`.

- [in] id ID of the output element to get.

## ◆ getCurrent() [1/2]

IWORKOutputElements & libetonyek::IWORKOutputManager::getCurrent | ( |  | ) |

Get the current output element.

Referenced by libetonyek::IWORKCollector::closeGroup(), libetonyek::IWORKCollector::drawLine(), libetonyek::KEYCollector::drawMedia(), libetonyek::NUMCollector::drawMedia(), libetonyek::PAGCollector::drawMedia(), libetonyek::IWORKCollector::drawShape(), libetonyek::KEYCollector::drawTable(), libetonyek::PAGCollector::drawTable(), libetonyek::KEYCollector::drawTextBox(), libetonyek::NUMCollector::drawTextBox(), libetonyek::PAGCollector::drawTextBox(), libetonyek::NUMCollector::endDocument(), libetonyek::NUMCollector::endWorkSpace(), getCurrent(), and libetonyek::IWORKCollector::openGroup().

## ◆ getCurrent() [2/2]

const IWORKOutputElements & libetonyek::IWORKOutputManager::getCurrent | ( |  | ) | const

Get the current output element.

## ◆ operator=()

IWORKOutputManager & libetonyek::IWORKOutputManager::operator= | ( | const IWORKOutputManager & |  | ) |
| private

## ◆ pop()

void libetonyek::IWORKOutputManager::pop | ( |  | ) |

Pop a output element from the stack.

Referenced by libetonyek::PAGCollector::closePageGroup(), libetonyek::KEYCollector::endLayer(), libetonyek::NUMCollector::endWorkSpace(), and ~IWORKOutputManager().

## ◆ push()

void libetonyek::IWORKOutputManager::push | ( |  | ) |

Push a new output element onto the stack.

Referenced by IWORKOutputManager(), libetonyek::PAGCollector::openPageGroup(), libetonyek::KEYCollector::startLayer(), and libetonyek::NUMCollector::startWorkSpace().

## ◆ save()

IWORKOutputID_t libetonyek::IWORKOutputManager::save | ( |  | ) |

Save the current output element.

It remains on the stack.

Returns
  The ID of the saved output element.

Referenced by libetonyek::PAGCollector::closePageGroup(), and libetonyek::KEYCollector::collectLayer().

## Member Data Documentation

## ◆ m_active

OutputStack_t libetonyek::IWORKOutputManager::m_active
| private

Referenced by getCurrent(), pop(), push(), save(), and ~IWORKOutputManager().

## ◆ m_saved

OutputList_t libetonyek::IWORKOutputManager::m_saved
| private

Referenced by get(), and save().

The documentation for this class was generated from the following files:

- IWORKOutputManager.h
- IWORKOutputManager.cpp